JavaDeployWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaDeployWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaDeployWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaDeployWriter

All Implemented Interfaces:
  Generator

public class JavaDeployWriter
extends JavaWriter

This is Wsdl2java's deploy Writer. It writes the deploy.wsdd file.

Field Summary
`protected javax.wsdl.Definition` | `definition` Field definition
`protected Emitter` | `emitter` Field emitter
`protected static org.apache.commons.logging.Log` | `log` Field log
`protected SymbolTable` | `symbolTable` Field symbolTable

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`LINE_LENGTH, type`

Constructor Summary
`JavaDeployWriter(Emitter emitter, javax.wsdl.Definition definition, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Generate deploy.wsdd.
`protected java.lang.String` | `getFileName()` Return the fully-qualified name of the deploy.wsdd file to be generated.
`java.lang.String` | `getModeString(byte mode)` Method getModeString
`protected java.io.PrintWriter` | `getPrintWriter(java.lang.String filename)` Method getPrintWriter
`protected void` | `writeArrayTypeMapping(java.io.PrintWriter pw, java.lang.String namespaceURI, java.lang.String localPart, java.lang.String javaType, java.lang.String encodingStyle, QName innerType)` Raw routine that writes out the typeMapping.
`protected void` | `writeDeployBinding(java.io.PrintWriter pw, BindingEntry bEntry)` Write out deployment instructions for given WSDL binding
`protected void` | `writeDeployPort(java.io.PrintWriter pw, javax.wsdl.Port port, javax.wsdl.Service service, BindingEntry bEntry)` Write out deployment and undeployment instructions for given WSDL port
`protected void` | `writeDeployServices(java.io.PrintWriter pw)` Write out deployment and undeployment instructions for each WSDL service
`protected void` | `writeDeployTypes(java.io.PrintWriter pw, javax.wsdl.Binding binding, boolean hasLiteral, boolean hasMIME, Use use)` Write out bean mappings for each type
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the deploy.wsdd file.
`protected void` | `writeFileHeader(java.io.PrintWriter pw)` Replace the default file header with the deployment doc file header.
`protected void` | `writeOperation(java.io.PrintWriter pw, java.lang.String javaOperName, QName elementQName, QName returnQName, QName returnType, Parameters params, QName bindingQName, java.util.ArrayList faults, java.lang.String SOAPAction)` Raw routine that writes out the operation and parameters.
`protected void` | `writeTypeMapping(java.io.PrintWriter pw, java.lang.String namespaceURI, java.lang.String localPart, java.lang.String javaType, java.lang.String serializerFactory, java.lang.String deserializerFactory, java.lang.String encodingStyle)` Raw routine that writes out the typeMapping.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getJavadocDescriptionPart, isFileGenerated, registerFile, verboseMessage, writeComment, writeComment, writeFileFooter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

### definition

    protected javax.wsdl.Definition definition

  Field definition

### symbolTable

    protected SymbolTable symbolTable

  Field symbolTable

### emitter

    protected Emitter emitter

  Field emitter

Constructor Detail

### JavaDeployWriter

    public JavaDeployWriter(Emitter emitter,
                            javax.wsdl.Definition definition,
                            SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `definition` -
  `symbolTable` -

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Generate deploy.wsdd. Only generate it if the emitter is generating server-side mappings.

  Specified by:
    `generate` in interface `Generator`
  Overrides:
    `generate` in class `JavaWriter`
  Throws:
    `java.io.IOException`

### getFileName

    protected java.lang.String getFileName()

  Return the fully-qualified name of the deploy.wsdd file to be generated.

  Specified by:
    `getFileName` in class `JavaWriter`
  Returns:

### writeFileHeader

    protected void writeFileHeader(java.io.PrintWriter pw)
                            throws java.io.IOException

  Replace the default file header with the deployment doc file header.

  Overrides:
    `writeFileHeader` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the deploy.wsdd file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeDeployServices

    protected void writeDeployServices(java.io.PrintWriter pw)
                                throws java.io.IOException

  Write out deployment and undeployment instructions for each WSDL service

  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeDeployTypes

    protected void writeDeployTypes(java.io.PrintWriter pw,
                                    javax.wsdl.Binding binding,
                                    boolean hasLiteral,
                                    boolean hasMIME,
                                    Use use)
                             throws java.io.IOException

  Write out bean mappings for each type

  Parameters:
    `pw` -
    `binding` -
    `hasLiteral` -
    `hasMIME` -
    `use` -
  Throws:
    `java.io.IOException`

### writeArrayTypeMapping

    protected void writeArrayTypeMapping(java.io.PrintWriter pw,
                                         java.lang.String namespaceURI,
                                         java.lang.String localPart,
                                         java.lang.String javaType,
                                         java.lang.String encodingStyle,
                                         QName innerType)
                                  throws java.io.IOException

  Raw routine that writes out the typeMapping.

  Parameters:
    `pw` -
    `namespaceURI` -
    `localPart` -
    `javaType` -
    `encodingStyle` -
  Throws:
    `java.io.IOException`

### writeTypeMapping

    protected void writeTypeMapping(java.io.PrintWriter pw,
                                    java.lang.String namespaceURI,
                                    java.lang.String localPart,
                                    java.lang.String javaType,
                                    java.lang.String serializerFactory,
                                    java.lang.String deserializerFactory,
                                    java.lang.String encodingStyle)
                             throws java.io.IOException

  Raw routine that writes out the typeMapping.

  Parameters:
    `pw` -
    `namespaceURI` -
    `localPart` -
    `javaType` -
    `serializerFactory` -
    `deserializerFactory` -
    `encodingStyle` -
  Throws:
    `java.io.IOException`

### writeDeployPort

    protected void writeDeployPort(java.io.PrintWriter pw,
                                   javax.wsdl.Port port,
                                   javax.wsdl.Service service,
                                   BindingEntry bEntry)
                            throws java.io.IOException

  Write out deployment and undeployment instructions for given WSDL port

  Parameters:
    `pw` -
    `port` -
    `service` -
    `bEntry` -
  Throws:
    `java.io.IOException`

### writeDeployBinding

    protected void writeDeployBinding(java.io.PrintWriter pw,
                                      BindingEntry bEntry)
                               throws java.io.IOException

  Write out deployment instructions for given WSDL binding

  Parameters:
    `pw` -
    `bEntry` -
  Throws:
    `java.io.IOException`

### writeOperation

    protected void writeOperation(java.io.PrintWriter pw,
                                  java.lang.String javaOperName,
                                  QName elementQName,
                                  QName returnQName,
                                  QName returnType,
                                  Parameters params,
                                  QName bindingQName,
                                  java.util.ArrayList faults,
                                  java.lang.String SOAPAction)

  Raw routine that writes out the operation and parameters.

  Parameters:
    `pw` -
    `javaOperName` -
    `elementQName` -
    `returnQName` -
    `returnType` -
    `params` -
    `bindingQName` -
    `faults` -

### getModeString

    public java.lang.String getModeString(byte mode)

  Method getModeString

  Parameters:
    `mode` -
  Returns:

### getPrintWriter

    protected java.io.PrintWriter getPrintWriter(java.lang.String filename)
                                          throws java.io.IOException

  Method getPrintWriter

  Overrides:
    `getPrintWriter` in class `JavaWriter`
  Parameters:
    `filename` -
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.